Method: organizations.locations.workloads.create

Creates a new Assured Workload.

The returned google.longrunning.Operation has a metadata field of type OperationMetadata and a response field of type Workload.

HTTP request

POST https://{endpoint}/v2/{parent=organizations/*/locations/*}/workloads

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent organization and location where the workload is created. Format: organizations/{organization}/locations/{location}

Query parameters

Parameters
workloadId

string

Optional. The user-assigned identifier for the workload, which must be unique within the parent organization and location. If not specified, a random UUID is generated.

Request body

The request body contains an instance of Workload.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/assuredworkloads
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • assuredworkloads.workload.create

For more information, see the IAM documentation.